#!/bin/sh

#目录地址
Root=/opt/app
File=/avege

#启动命令
chmod 777 $Root$File/avege_RootStrat
cd $Root$File/
#启动客户端
./avege_RootStrat


# 创建新链接名SHADOWSOCKS
iptables -t nat -N SHADOWSOCKS
 
# 忽略 ss 代理服务器的地址
 
# 忽略局域网IP地址

 
# 忽略亚洲IP地址

 
# 忽略指定IP
iptables -t nat -A SHADOWSOCKS -d 54.90.37.147 -j RETURN
 
# 1080为本地监听端口
 
# 在 PREROUTING 链前插入 SHADOWSOCKS 链,使其生效
 
# 过滤本机产生的数据包,使本地产生的网络包

#将进程名写入 pid.txt
echo "avege_RootStrat" >> /opt/pid.txt
huoqu=$(pgrep avege_RootStrat)
	jieguo=$( echo $huoqu | awk  ""'{print NF}')   
	if [ $jieguo = 0 ]; then
	#没有
         echo "插件并未运行"
    else
	#有
	echo "插件已运行"
    fi
done